# TdApi.PushReceiverId (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PushReceiverId

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PushReceiverId

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PushReceiverId

Enclosing class:
  TdApi

public static final class TdApi.PushReceiverId extends TdApi.Object
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`id`
The globally unique identifier of push notification subscription.

## Constructor Summary

Constructors
Constructor
Description
`PushReceiverId()`
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.
`PushReceiverId(long id)`
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.
`PushReceiverId(DataInput input)`
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
The globally unique identifier of push notification subscription.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PushReceiverId

public PushReceiverId()
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.

### PushReceiverId

public PushReceiverId(long id)
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.

Parameters:
  `id` - long The globally unique identifier of push notification subscription.

### PushReceiverId

public PushReceiverId(DataInput input) throws IOException
Contains a globally unique push receiver identifier, which can be used to identify which account has received a push notification.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`